🚀 Version 2.0 is now live! See our changelog for details
curl --request PUT \
--url https://api.tenbyte.io/v1/cdn/distributions/{distributionID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"name\": \"Tenbyte CDN\",\n \"description\": \"\",\n \"host_header\": \"cdn.tenbyte.com.my\",\n \"is_http2\": true,\n \"is_http3\": false,\n \"sni\": \"cdn.tenbyte.com.my\",\n // \"certificate_id\": \"162ce667-fea3-49ae-8c0b-18bd7b1fe141\",\n \"enable_webp\": true,\n \"is_redirect_http_to_https\": false\n}"
'{}curl --request PUT \
--url https://api.tenbyte.io/v1/cdn/distributions/{distributionID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"name\": \"Tenbyte CDN\",\n \"description\": \"\",\n \"host_header\": \"cdn.tenbyte.com.my\",\n \"is_http2\": true,\n \"is_http3\": false,\n \"sni\": \"cdn.tenbyte.com.my\",\n // \"certificate_id\": \"162ce667-fea3-49ae-8c0b-18bd7b1fe141\",\n \"enable_webp\": true,\n \"is_redirect_http_to_https\": false\n}"
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The response is of type object.